/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 15:35
 * Description:缺陷类别表
 */
package com.emr.service;

import com.emr.entity.*;

import java.util.List;

public interface V_CountService {
    /**
     * 根据条件查询所有统计列表
     * @param record
     * @return
     */
    List<V_Count> selectByCol(V_Count record);



    /**
     * 根据条件查找统计列表分页
     *
     * @param record
     * @return
     */
    OffsetLimitPage selectPageByClo(V_Count record, Integer offset, Integer limit);

    /**
     * 根据条件显示列表
     * @param record
     * @return
     */
    List<V_Count2> selByDept(V_Count2 record);

    /**
     * 根据条件显示列表
     *
     * @param record
     * @return
     */
    List<V_Count2> selByCharge(V_Count2 record);


}
 

